=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kf6-kpty
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
@@ -9,16 +10,16 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6i18n-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6i18n-dev (>= 6.6.0~),
                libutempter-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kpty
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpty
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpty.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpty
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpty
 Rules-Requires-Root: no
 
 Package: libkf6pty-data
@@ -35,8 +36,8 @@
 Package: libkf6pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.3.0~),
-         libkf6i18n-dev (>= 6.3.0~),
+Depends: libkf6coreaddons-dev (>= 6.6.0~),
+         libkf6i18n-dev (>= 6.6.0~),
          libkf6pty6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6pty-doc (= ${source:Version}),
