=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.9.0~),
+               libkf6coreaddons-dev (>= 6.9.0~),
+               libkf6i18n-dev (>= 6.9.0~),
                libutempter-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
@@ -36,8 +36,8 @@
 Package: libkf6pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.6.0~),
-         libkf6i18n-dev (>= 6.6.0~),
+Depends: libkf6coreaddons-dev (>= 6.9.0~),
+         libkf6i18n-dev (>= 6.9.0~),
          libkf6pty6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6pty-doc (= ${source:Version}),
