=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6i18n-dev (>= 6.11.0~),
                libutempter-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
@@ -35,8 +35,8 @@
 Package: libkf6pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.10.0~),
-         libkf6i18n-dev (>= 6.10.0~),
+Depends: libkf6coreaddons-dev (>= 6.11.0~),
+         libkf6i18n-dev (>= 6.11.0~),
          libkf6pty6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6pty-doc (= ${source:Version}),
