=== debian/control ===
--- 
+++ 
@@ -1,30 +1,31 @@
 Source: kf6-kpty
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6i18n-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6i18n-dev (>= 6.12.0~),
                libutempter-dev,
-               qt6-base-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-tools-dev (>= 6.5.0~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/kpty
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-kpty
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-kpty.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpty
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-kpty
 Rules-Requires-Root: no
 
 Package: libkf6pty-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Pty abstraction
  Provides primitives for opening & closing a pseudo
  TTY pair, assigning the controlling TTY, utmp
@@ -35,8 +36,8 @@
 Package: libkf6pty-dev
 Section: libdevel
 Architecture: any
-Depends: libkf6coreaddons-dev (>= 6.11.0~),
-         libkf6i18n-dev (>= 6.11.0~),
+Depends: libkf6coreaddons-dev (>= 6.12.0~),
+         libkf6i18n-dev (>= 6.12.0~),
          libkf6pty6 (= ${binary:Version}),
          ${misc:Depends},
 Recommends: libkf6pty-doc (= ${source:Version}),
