## kf6-kpty 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.13.0") # handled by release scripts
-set(KF_DEP_VERSION "6.13.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KPty VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 6.13.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,11 +22,11 @@
 include(ECMGenerateHeaders)
 include(ECMQtDeclareLoggingCategory)
 include(ECMDeprecationSettings)
-include(ECMAddQch)
 include(ECMGenerateExportHeader)
+include(ECMGenerateQDoc)
 include(CMakePackageConfigHelpers)
 
-set(REQUIRED_QT_VERSION 6.6.0)
+set(REQUIRED_QT_VERSION 6.7.0)
 find_package(Qt6 "${REQUIRED_QT_VERSION}" CONFIG REQUIRED Core)
 
 find_package(KF6CoreAddons ${KF_DEP_VERSION} REQUIRED)
@@ -45,9 +45,6 @@
 # create a Config.cmake and a ConfigVersion.cmake file and install them
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Pty")
 
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
-
 set(kpty_version_header "${CMAKE_CURRENT_BINARY_DIR}/src/kpty_version.h")
 ecm_setup_version(
   PROJECT
@@ -60,23 +57,13 @@
 ki18n_install(po)
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.9.0
-    KF 6.12.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 add_subdirectory( src )
 if (BUILD_TESTING)
     add_subdirectory( autotests )
-endif()
-
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Pty_QCH
-        FILE KF6PtyQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6PtyQchTargets.cmake\")")
 endif()
 
 configure_package_config_file(
